@media (min-width: 375px) and (max-width: 414px) {
  .grid-item:nth-of-type(2) {
    order: 2;
  }

  .grid-item:nth-of-type(1) {
    order: 2;
  }

  .main1 {
    text-align: center;
  }
  .img-c {
    width: 272px;
    height: 442px;
  }

  .text {
    text-align: center;
  }
  .text-head h1 {
    font-size: 40px;
  }

  .text-para p {
    text-align: center;
    padding-right: 0;
  }

  .span {
    font-family: "Basis", arial, sans-serif;
    font-size: 40px;
  }

  .text-para p {
    font-size: 17px;
  }

  .email {
    display: grid;
    grid-template-columns: none;
    row-gap: 15px;
  }
  .ElaborateContainer {
    padding: 0;
    margin: 0;
    height: 20em;
  }

  .ElaborateContainer h1 {
    font-size: 30px;
  }

  .video-container {
    display: grid;
  }

  .video-inner {
    padding: 5px;
  }

  .video-text {
    padding: 10px;
  }

  .img-v {
    width: 330px;
    height: 205px;
  }
  .card1 {
    display: grid;
    grid-template-rows: repeat(3, 1fr);
    gap: 4em;
  }
  .card-col {
    display: grid;
    gap: 2em;
  }

  .img-chess {
    width: 330px;
    height: 205px;
  }

  .features-container {
    padding: 1em;
  }

  .features-Details {
    padding: 2em;
  }

  .card1 {
    display: grid;
    grid-template-columns: none;
  }

  .Review-Container {
    display: grid;
    grid-template-rows: none;
    padding: 8em;
    background-color: #1b4942;
    gap: 5em;
  }

  .review-slide1 h5 {
    font-size: 16px;
    display: grid;
  }

  .review-slide1 p {
    font-size: 12px;
  }

  .slide-image {
    display: none;
  }

  .Register-container {
    display: block;

    grid-template-rows: none;
    background-color: #c8e3d8;
    padding: 2em;
  }

  .img-r {
    width: 295px;
    height: 184px;
  }

  .register-text h1 {
    font-size: 1.8em;
    font-family: "Basis", arial, sans-serif;
  }
  .register-text p {
    font-size: 13px;
    font-family: "Basis", arial, sans-serif;
  }

  .Contact-container {
    display: block;
    padding: 4em;
    grid-column-gap: 1em;
    grid-template-rows: repeat(2, 1fr);
    background: linear-gradient(to top, #222222 50%, #1b4942 50%);
  }

  .img-c {
    height: 300px;
    width: 240px;
  }

  .contact-inner {
    padding-bottom: 14rem;
  }

  .contact-text {
    margin: 0;
    padding: 0;
  }

  .Signup-container {
    padding: 6em;
    grid-column-gap: 1em;
    grid-template-columns: repeat(2, 1fr);
    background-color: #21cd9c;
    text-align: center;
  }
  .signup-content h2 {
    font-size: 38px;
    font-family: "Reckless, aria, sans-serif";
  }
  .signup-content span {
    font-size: 35px;
    font-family: "Basis", arial, sans-serif;
  }
  .signup-content {
    margin-bottom: 2em;
  }

  .main-footer {
    color: white;
    background-color: #222222;
    padding-top: 3em;
    bottom: 0;
    width: 100%;
    text-align: inherit;
  }

  .rowss {
    display: grid;
    gap: 6em;
    grid-template-columns: none;
  }
  .col-links {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }

  .col {
    padding: 1em;
  }

  // Features page//

  .AboutText {
    text-align: left;
  }

  .AboutContainer {
    display: grid;
    grid-template-columns: none;
    padding: 2em;
  }

  .img-A {
    width: 324px;
    height: 219px;
  }

  .BuildContainer {
    display: grid;
    background-color: #f8faf4;
    grid-template-columns: none;
    padding: 2em;
  }

  .img-B {
    width: 334px;
    height: 334px;
  }

  .card4 {
    display: grid;
    grid-template-columns: none;
    gap: 4em;
  }

  .features-details {
    background-color: #f8faf4;
    margin-top: 0em;
  }

  .ReviewContainer {
    background-color: #21cd9c;
    height: 25em;
    padding: 2em;
  }
  .ReviewContainer3 {
    background-color: #21cd9c;
    height: 33em;
    padding: 2em;
  }

  .ReviewContainer3 h1 {
    font-size: 26px;
  }
  .ReviewContainer h1 {
    font-size: 26px;
  }
  .ReviewContainer p {
    font-size: 14px;
  }

  .ReviewContainer2 {
    padding: 2em;
    height: 20em;
  }

  .ReviewContainer2 h1 {
    font-size: 26px;
  }
  .ReviewContainer2 p {
    font-size: 14px;
  }

  .subs-container {
    height: 28em;
    padding: 2em;
  }

  .subs-content h2 {
    font-size: 40px;
    text-align: center;
  }

  .subs-btn {
    text-align: center;
  }
}

//tab//

@media (min-width: 768px) and (max-width: 820px) {
  .container {
    padding: 1rem;
  }
  .img-c {
    width: 272px;
    height: 342px;
  }
  .main {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 0;
  }
  .img-container {
    padding-top: 4em;
  }
  .text-container {
    margin: auto;
    display: grid;
  }
  .text-head {
    margin-bottom: 1em;
  }
  .email {
    display: grid;
    grid-template-columns: none;
    gap: 1em;
  }
  .email-box {
    border: none;
    border-bottom: 1px solid black;
    padding: 1rem;
    padding-left: 0;
  }

  .ElaborateContainer {
    background-color: #1b4942;
    height: 36em;
    display: flex;
    padding: 7em;
  }
  .text-para p {
    padding-right: 5rem;
  }
  .ElaborateContainer h1 {
    text-align: center;
    margin: auto;
    color: white;
  }
  .video-container {
    display: grid;
    padding: 1.5em;
  }
  .video-inner {
    grid-column-start: 7;
    grid-column-end: 8;
  }
  .img-v {
    width: 705px;
    height: 447px;
  }
  .video-text {
    padding-top: 2em;
  }
  .video-text {
    padding-top: 2em;
  }
  .img-chess {
    width: 570px;
    height: 405px;
  }
  .features-container {
    padding: 6em;
  }
  .features-inner {
    display: grid;
    grid-template-columns: none;
  }
  .feature-text {
    margin: auto;
  }
  .text-head h3,
  .text-head p a {
    color: black;
  }
  .card1 {
    display: grid;
    grid-template-columns: none;
    gap: 4em;
  }
  .features-Details {
    padding: 6em;
  }
  .card-col {
    display: grid;
    gap: 2em;
  }
  .card-col h4 {
    border-bottom: 2px solid black;
    padding-bottom: 10px;
  }
  .Review-Container {
    display: grid;
    grid-template-columns: none;
    padding: 6em;
    background-color: #1b4942;
    gap: 5em;
  }
  .review-inner {
    margin: auto;
  }
  .review-inner hr {
    width: 121px;
    border: 2px solid white;
    opacity: initial;
    margin: auto;
  }
  .review-slide1 {
    color: white;
    align-items: center;
    display: grid;
    text-align: center;
    gap: 2em;
  }
  .slide-image {
    text-align: center;
  }
  .review-slide1 h5 {
    font-size: 40px;
  }
  .Register-container {
    display: grid;
    padding: 4em;
    grid-column-gap: 1em;
    grid-template-columns: none;
    background-color: #c8e3d8;
  }
  .img-r {
    width: 655px;
    height: 404px;
  }
  .register-text h1 {
    font-size: 3.5rem;
  }
  .register-text p a {
    color: #1b4942;
  }
  .Contact-container {
    display: grid;
    padding: 6em;
    grid-column-gap: 1em;
    grid-template-columns: none;
    background: linear-gradient(to top, #1b4942 50%, #222222 50%);
  }

  .contact-img {
    text-align: center;
  }
  .contact-text {
    margin: auto;
    padding: 5em;
  }
  .contact-text h1,
  p a {
    color: white;
  }
  .Signup-container {
    padding: 6em;
    grid-column-gap: 1em;
    grid-template-columns: repeat(2, 1fr);
    background-color: #21cd9c;
    text-align: center;
  }
  .signup-content {
    margin-bottom: 2em;
  }

  .main-footer {
    color: white;
    background-color: #222222;
    padding-top: 3em;
    bottom: 0;
    width: 100%;
    text-align: inherit;
  }
  .cols {
    font-size: 22px;
    padding-right: 4em;
  }
  .footer-container {
    padding: 4em;
  }
  .rowss {
    display: grid;
    gap: 6em;
    grid-template-columns: none;
  }
  .col-links {
    display: grid;
    grid-template-columns: repeat(3, 3fr);
  }
  .list-unstyled li {
    padding-top: 1em;
  }

  //features//

  .AboutText {
    text-align: left;
  }

  .AboutContainer {
    display: grid;
    grid-template-columns: none;
    padding: 2em;
  }

  .img-A {
    width: 324px;
    height: 219px;
  }

  .BuildContainer {
    display: grid;
    background-color: #f8faf4;
    grid-template-columns: none;
    padding: 2em;
  }

  .img-B {
    width: 334px;
    height: 334px;
  }

  .card4 {
    display: grid;
    grid-template-columns: none;
    gap: 4em;
  }

  .features-details {
    background-color: #f8faf4;
    margin-top: 0em;
  }

  .ReviewContainer {
    background-color: #21cd9c;
    height: 25em;
    padding: 2em;
  }
  .ReviewContainer3 {
    background-color: #21cd9c;
    height: 33em;
    padding: 2em;
  }

  .ReviewContainer3 h1 {
    font-size: 26px;
  }
  .ReviewContainer h1 {
    font-size: 26px;
  }
  .ReviewContainer p {
    font-size: 14px;
  }

  .ReviewContainer2 {
    padding: 2em;
    height: 20em;
  }

  .ReviewContainer2 h1 {
    font-size: 26px;
  }
  .ReviewContainer2 p {
    font-size: 14px;
  }

  .subs-container {
    height: 28em;
    padding: 2em;
  }

  .subs-content h2 {
    font-size: 40px;
    text-align: center;
  }

  .subs-btn {
    text-align: center;
  }
}
